Set optimizer automatic level
POST
/config/optimizerautomatic/{value}
const url = 'https://demo.evcc.io/api/config/optimizerautomatic/off';const options = {method: 'POST', headers: {cookie: 'auth=<auth>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/config/optimizerautomatic/off \ --cookie auth=<auth>Let the optimizer directly control the home battery (battery) or home battery and loadpoints (full) instead of only advising (off). Requires a sponsor token.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”value
required
string
What the optimizer controls.
Responses
Section titled “Responses”Success - String result
Media typeapplication/json
string
Example generated
example